package com.pj.current.netty.command.handler.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

@Data
@Accessors(chain = true)
public class HealthlogDTO implements Serializable {


    /**
     * identity_number : 350623xxxxxxxxxxx
     * name : xxxxxxx
     * sex : xxxxxxx
     * phone : xxxxxxx
     * temperature : 36.5
     * health_status : 绿码
     * verify_type : 0
     * picture : xxxxxxxxxxxxx
     * date : 2012-03-01 20:01:00
     * status : 1
     * direction : 1
     * allow_through : true
     */

    private String identity_number;
    private String name;
    private String sex;
    private String phone;
    private String temperature;
    private String health_status;
    private String verify_type;
    private String picture;
    private Date date;
    private String status;
    private Integer direction;
    private boolean allow_through;

}
