package com.pj.current.netty.dto;

import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class ResponsePackageDTO {


    /**
     * code : 0
     * message : xxxx
     * payload : {"params":{"command":0,"secret":"xxxxxxxxx","ip":"192.168.215.36","port":18092}}
     */

    private int code=0;
    private String message="success";
    private PayloadBean payload;

    @Data
    public static class PayloadBean {
        /**
         * params : {"command":0,"secret":"xxxxxxxxx","ip":"192.168.215.36","port":18092}
         */
        private Object params;


    }
}
