package com.pj.project.tb_car_filing;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_car_filing -- 车辆备案
 *
 * @author qzyReal
 */

@Mapper
@Repository
public interface TbCarFilingMapper extends BaseMapper<TbCarFiling> {

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     *
     * @param so 参数集合
     * @return 数据列表
     */
    List<TbCarFiling> getList(SoMap so);

    TbCarFiling getById(Long id);
}
